%etamutype1.m
function [res1,res2,eta,mu]=etamutype1(m,a,b)
s1=0;
s2=0;
COL1=[];
COL2=[];
for i=1:1:m
temp1=sqrt(a)*(randn(1,1000000));
temp2=sqrt(b)*(randn(1,1000000));
COL1=[COL1 temp1];
COL2=[COL2 temp2];
s1=s1+temp1.^2;
s2=s2+temp2.^2;
end
s=s1+s2;
eta=var(COL1)/var(COL2);
[res1 res2]=hist(sqrt(s),100);
h=(2+eta^(-1)+eta)/4;
H=(eta^(-1)-eta)/4;
m=mean(s);
v=var(s);
mu=(m^2/v)*(1+(H/h)^(2));
%etamutype1plot.m
[p1,q1,e1,m1]=etamutype1(10,1,2);
[p2,q2,e2,m2]=etamutype1(1,1,2);
[p3,q3,e3,m3]=etamutype1(10,1,1);
[p4,q4,e4,m4]=etamutype1(1,1,1);
figure
subplot(2,2,1)
plot(q1,p1)
title(strcat('eta=',num2str(e1),'mu=',num2str(m1)))
subplot(2,2,2)
plot(q2,p2,'r')
title(strcat('eta=',num2str(e2),'mu=',num2str(m2)))
subplot(2,2,3)
plot(q3,p3)
title(strcat('eta=',num2str(e3),'mu=',num2str(m3)))
subplot(2,2,4)
plot(q4,p4,'r')
title(strcat('eta=',num2str(e4),'mu=',num2str(m4)))
